<div class="layout">

    <div class="container d-flex flex-column">
        <div class="row align-items-center justify-content-center no-gutters min-vh-100">

            <div class="col-12 col-md-5 col-lg-4 py-8 py-md-11">

                <!-- Heading -->
                <h1 class="font-bold text-center">Iniciar Sesión</h1>

                <!-- Text -->
                <p class="text-center mb-6">Bienvenido  - Chat instantáneo</p>

                <!-- Form -->
                <form class="mb-6" #loginForm="ngForm" (ngSubmit)="onSubmit(loginForm)">
                    <!-- Email -->
                    <div class="form-group">
                        <label for="email" class="sr-only">Correo electrónico</label>
                        <input required #email="ngModel" name="email" [(ngModel)]="user.email" type="email" class="form-control form-control-lg" id="email" placeholder="Correo electrónico">
                    </div>

                    <!-- Password -->
                    <div class="form-group">
                        <label for="password" class="sr-only">Contraseña</label>
                        <input required #password="ngModel" name="password" [(ngModel)]="user.password" type="password" class="form-control form-control-lg" id="password" placeholder="Ingresa tu Contraseña">
                    </div>

                    <div class="form-group d-flex justify-content-between">
                        <div class="custom-control custom-checkbox">
                            <input type="checkbox" class="custom-control-input" checked="" id="checkbox-remember">
                            <label class="custom-control-label" for="checkbox-remember">Recordarme</label>
                        </div>
                        <a href="./password-reset.html">Recuperar contraseña</a>
                    </div>

                    <!-- Submit -->
                    <button class="btn btn-lg btn-block btn-primary" type="submit">Entrar</button>
                </form>

                <!-- Text -->
                <p class="text-center">
                    ¿Aún no tienes una cuenta? <a [routerLink]="['/registro']"> Regístrate</a>.
                </p>

            </div>
        </div> <!-- / .row -->
    </div>

</div><!-- .layout -->